unit Dialog;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, Valedit;

type
  TBtnBottomDlg = class(TForm)
    OKBtn       : TBitBtn;
    CancelBtn   : TBitBtn;
    HelpBtn     : TBitBtn;
    StringEdit  : TValidateEdit;
    IntegerEdit : TValidateEdit;
    HexEdit     : TValidateEdit;
    DoubleEdit  : TValidateEdit;
    procedure OKBtnClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

procedure TBtnBottomDlg.OKBtnClick(Sender: TObject);
VAR i : INTEGER;
begin
 for i := 0 to ComponentCount -1 do
 BEGIN
  if Components[i] is TValidateEdit then
  BEGIN
   IF TValidateEdit(Components[i]).IsValid = FALSE THEN
   BEGIN
    TValidateEdit(Components[i]).Error;
    TValidateEdit(Components[i]).SetFocus;
    Exit;
   END;
  END;
 END;
 ModalResult := mrOK;
end;

end.
