unit Sdimain;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Menus,
  Dialogs, StdCtrls, Buttons, ExtCtrls,Dialog;

type
  TSDIAppForm = class(TForm)
    MainMenu: TMainMenu;
    FileMenu: TMenuItem;
    OpenItem: TMenuItem;
    SaveItem: TMenuItem;
    ExitItem: TMenuItem;
    N1: TMenuItem;
    OpenDialog: TOpenDialog;
    SaveDialog: TSaveDialog;
    Help1: TMenuItem;
    About1: TMenuItem;
    StatusBar: TPanel;
    SpeedPanel: TPanel;
    OpenBtn: TSpeedButton;
    SaveBtn: TSpeedButton;
    ExitBtn: TSpeedButton;
    Test1: TMenuItem;
    Validatortest1: TMenuItem;
    procedure ShowHint(Sender: TObject);
    procedure ExitItemClick(Sender: TObject);
    procedure OpenItemClick(Sender: TObject);
    procedure SaveItemClick(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Validatortest1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SDIAppForm: TSDIAppForm;

implementation

uses About;

{$R *.DFM}

procedure TSDIAppForm.ShowHint(Sender: TObject);
begin
  StatusBar.Caption := Application.Hint;
end;

procedure TSDIAppForm.ExitItemClick(Sender: TObject);
begin
  Close;
end;

procedure TSDIAppForm.OpenItemClick(Sender: TObject);
begin
  OpenDialog.Execute
end;

procedure TSDIAppForm.SaveItemClick(Sender: TObject);
begin
  SaveDialog.Execute;
end;

procedure TSDIAppForm.About1Click(Sender: TObject);
begin
  AboutBox.ShowModal;
end;

procedure TSDIAppForm.FormCreate(Sender: TObject);
begin
  Application.OnHint := ShowHint;
end;

procedure TSDIAppForm.Validatortest1Click(Sender: TObject);
var TestBox  : TBtnBottomDlg;
    DValue   : Double;
    IValue   : LongInt;
    HexValue : STRING;
begin
 TestBox := TBtnBottomDlg.Create(Application);
 DValue   := PI;
 IValue   := 180;
 HexValue := '00B4';
 WITH TestBox DO
 BEGIN
  StringEdit.Text := 'Ich bin ein String';
  IntegerEdit.SetLongInt(IValue);
  HexEdit.Text := HexValue;
  DoubleEdit.SetDouble(DValue);
  ShowModal;
  IF ModalResult = mrOK THEN
  BEGIN
   DValue   := DoubleEdit.GetDouble;
   IValue   := IntegerEdit.GetLongInt;
   HexValue := HexEdit.Text;
  END;
  Release;

 END;
end;

end.

